Add .gitlab-ci.yml

4 jobs for gitlab-ci in 82 minutes and 23 seconds (queued for 2 seconds)
latest
Status Job ID Name Coverage
  Test
failed #153843
ubuntu-14.04

00:49:26

failed #153842
ubuntu-16.04

01:22:22

failed #153841
ubuntu-18.04

01:01:19

failed #153840
ubuntu-18.10

00:54:26

 
Name Stage Failure
failed
ubuntu-16.04 Test
make DESTDIR=/root/jhbuild/install/_jhbuild/root-vala install
*** Checking out librsvg *** [25/214]
git clone https://gitlab.gnome.org/GNOME/librsvg
git remote set-url origin https://gitlab.gnome.org/GNOME/librsvg
git remote update origin
git rebase origin/master
*** Configuring librsvg *** [25/214]
./autogen.sh --prefix /root/jhbuild/install --disable-Werror --enable-vala=yes --disable-static --disable-gtk-doc
ERROR: Job failed: exit code 1
failed
ubuntu-18.04 Test
git clone https://gitlab.gnome.org/GNOME/librsvg
git remote set-url origin https://gitlab.gnome.org/GNOME/librsvg
git remote update origin
git rebase origin/master
*** Configuring librsvg *** [25/214]
./autogen.sh --prefix /root/jhbuild/install --disable-Werror --enable-vala=yes --disable-static --disable-gtk-doc
*** Building librsvg *** [25/214]
make -j 33
ERROR: Job failed: exit code 1
failed
ubuntu-18.10 Test
git clone https://gitlab.gnome.org/GNOME/librsvg
git remote set-url origin https://gitlab.gnome.org/GNOME/librsvg
git remote update origin
git rebase origin/master
*** Configuring librsvg *** [25/213]
./autogen.sh --prefix /root/jhbuild/install --disable-Werror --enable-vala=yes --disable-static --disable-gtk-doc
*** Building librsvg *** [25/213]
make -j 9
ERROR: Job failed: exit code 1
failed
ubuntu-14.04 Test
    installer.install(uninstalled, install_options=options.install_options)
File "/root/.local/lib/python2.7/site-packages/jhbuild/utils/systeminstall.py", line 489, in install
self._install_packages(native_packages, install_options=install_options)
File "/root/.local/lib/python2.7/site-packages/jhbuild/utils/systeminstall.py", line 456, in _install_packages
subprocess.check_call(args)
File "/usr/lib/python2.7/subprocess.py", line 540, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['sudo', 'apt-get', '--yes', '--assume-yes', '--force-yes', 'install', 'libanthy-dev', 'libproxy-dev', 'libp11-kit-dev', 'libxcomposite-dev', 'libpwquality-dev', 'libxcursor-dev', 'libxfixes-dev', 'libxext-dev', 'libhunspell-dev', 'libxft-dev', 'libxkbcommon-dev', 'libseccomp-dev', 'libsndfile1-dev', 'libxrandr-dev', 'libxrender-dev', 'libxt-dev', 'libtasn1-6-dev', 'libxtst-dev', 'libudev-dev', 'libfuse-dev', 'libunwind8-dev', 'libusb-1.0-0-dev', 'libusb-1.0-0-dev', 'libimobiledevice-dev', 'libdrm-dev', 'libelfg0-dev', 'libarchive-dev', 'libevdev-dev', 'libpolkit-agent-1-dev', 'libv4l-dev', 'libexif-dev', 'libdmapsharing-3.0-dev', 'libffi-dev', 'libwavpack-dev', 'libcanberra-gtk-dev', 'libkyotocabinet-dev', 'libvpx-dev', 'libbluray-dev', 'libraw-dev', 'libgphoto2-dev', 'libhangul-dev', 'libxkbfile-dev', 'libicu-dev', 'libpolkit-gobject-1-dev', 'libssl-dev', 'libxklavier-dev', 'libndp-dev', 'libxslt1-dev', 'libnl-3-dev', 'liblcms2-dev', 'libnl-genl-3-dev', 'libnspr4-dev', 'libnl-route-3-dev', 'libical-dev', 'libx11-dev', 'libsane-dev', 'libpoppler-glib-dev', 'libgles2-mesa-dev', 'libpng12-dev', 'libxdamage-dev', 'libmtp-dev', 'libegl1-mesa-dev', 'libxcb-dri2-0-dev', 'libsource-highlight-dev', 'nettle-dev', 'libmtdev-dev', 'libasound2-dev', 'libmusicbrainz5-dev', 'libsqlite3-dev', 'libnss3-dev', 'libstartup-notification0-dev', 'libdotconf-dev', 'libtag1-dev', 'uuid-dev', 'libusbredirhost-dev', 'libgl1-mesa-dev', 'valgrind', 'libpulse-dev', 'libdbus-1-dev', 'libpixman-1-dev', 'libudisks2-dev', 'libegl1-mesa-dev', 'libdbus-glib-1-dev', 'libplymouth-dev', 'libx11-dev', 'libopus-dev', 'libxcb-randr0-dev', 'libgraphviz-dev', 'liboauth-dev', 'libxcb-res0-dev', 'nettle-dev', 'libdvdread-dev', 'libxi-dev', 'libvirt-dev', 'libxi-dev', 'libxkbcommon-x11-dev', 'libexempi-dev', 'xserver-xorg-input-wacom', 'libvorbis-dev', 'libflac-dev', 'xtrans-dev', 'libcdio-paranoia-dev', 'libgnutls-dev', 'libfontconfig1-dev', 'libavahi-gobject-dev', 'libnfs-dev', 'libfreetype6-dev', 'check', 'libsm-dev', 'libcanberra-gtk3-dev', 'libplist-dev', 'libgbm-dev', 'libsmbclient-dev', 'desktop-file-utils', 'libgpgme11-dev', 'bison', 'ruby', 'libtool', 'cargo', 'texinfo', 'libcups2-dev', 'cmake', 'xmlto', 'docbook-utils', 'gperf', 'doxygen', 'argyll', 'help2man', 'ragel', 'yasm', 'flex', 'xwayland-lts-utopic', 'libespeak-dev', 'libhyphen-dev', 'libtiff5-dev', 'heimdal-dev', 'libcap-dev', 'libdb5.1-dev', 'libmpfr-dev', 'libmagic-dev', 'libgcrypt11-dev', 'libsasl2-dev', 'libjpeg-turbo8-dev', 'libyaml-dev', 'libstemmer-dev', 'ppp-dev', 'libldap2-dev', 'libwebp-dev', 'libpam0g-dev', 'libiw-dev', 'libxinerama-dev', 'libreadline-gplv2-dev', 'libmpc-dev']' returned non-zero exit status 100
ERROR: Job failed: exit code 1